# Project Info
# This info is presented in a widget when you share.
# http://framerjs.com/docs/#info.info

Framer.Info =
	title: ""
	author: "fnypazarlama"
	twitter: ""
	description: ""

bg = new Layer
	width: 750, height: 1334
	backgroundColor: "#e13721"

page = new PageComponent 
	width: 750
	height: 1334
	scrollVertical: false
	backgroundColor: "Transparent"

_1 = new Layer
	width: 750
	height: 1334
	image: "images/1.png"
	superLayer: page.content

_1_watch = new Layer
	width: 543
	height: 597
	x: 414
	y: 414
	image: "images/1_watch.png"
	superLayer: _1

_2 = new Layer
	width: 750
	height: 1334
	image: "images/2.png"
	superLayer: page.content
	x: 750

_2_watch = new Layer
	width: 501
	height: 595
	x: 416
	y: 413
	image: "images/2_watch.png"
	superLayer: _2

_3 = new Layer
	width: 750
	height: 1334
	image: "images/3.png"
	superLayer: page.content
	x: 1500

_3_watch = new Layer
	width: 543
	height: 597
	x: 416
	y: 414
	image: "images/3_watch.png"
	superLayer: _3

page.on "change:currentPage", ->
	#print page.currentPage.id
	if page.currentPage.id == 4
		page.animate
			properties: 
				backgroundColor: "#e13721"
		button.animate
			properties: 
				backgroundColor: "#bb310c"
	if page.currentPage.id == 6
		page.animate
			properties: 
				backgroundColor: "#f19d1c"
		_2_watch.animate
			properties: 
				x: 375
		button.animate
			properties: 
				backgroundColor: "#c68b17"
	if page.currentPage.id == 8
		page.animate
			properties: 
				backgroundColor: "#2bb5ad"
		button.animate
			properties: 
				backgroundColor: "#00a19c"
		_3_watch.animate
			properties: 
				x: 375

page.onSwipeLeft ->
	if page.currentPage.id == 4
		_1.animate
			properties: 
				opacity: 0
			time: 0.16
	if page.currentPage.id == 6
		_2.animate
			properties: 
				opacity: 0
			time: 0.16

page.onSwipeRight ->
	if page.currentPage.id == 6
		_1.animate
			properties: 
				opacity: 1
			time: 0.66
	if page.currentPage.id == 8
		_2.animate
			properties: 
				opacity: 1
			time: 0.66

button = new Layer
	width: 488
	height: 79
	x: 131
	y: 1118
	backgroundColor: "#bb310c"
	borderRadius: 50

button_text = new Layer
	width: 488
	height: 79
	x: 131
	y: 1118
	image: "images/button_text.png"

dark_menu = new Layer
	width: 750
	height: 1334
	x: 750
	image: "images/dark.png"
